<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@page import="com.ejie.ad74a.util.constantes.EstadosExpedienteEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.ProcedimientosEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.modelos.TipoExpedientes"%>
<%@page import="com.ejie.ad74a.util.constantes.ActoresEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.TipoAvisoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.SubTipoAvisoEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.CanalComunicacionEnum"%>
<%@page import="com.ejie.ad74a.util.constantes.Constantes" %>


<script src="${staticsUrl}/ad74a/scripts/ad74aTeleasistencia/avisos.js" type="text/javascript"></script>

<spring:url value="/avisos/aportarDocumento" var="aportarDocUrl" htmlEscape="true"/>

<script type="text/javascript">

	const nombreUsuarioConectado = "${nombreUsuarioConectado}";
	const NameUsuarioConectado = "${NameUsuarioConectado}";
	const isDSS = ${isDSS};
	const isAdmin = ${isAdmin};
	const isSSB = ${isSSB};
	const isPS = ${isPS};
	const isDirector=${isDirector};
	const editando=false;
	
	const aportarDocUrl = "${aportarDocUrl}";

	
	const beneficiario01BeneficiarioVal = <%=Constantes.beneficiario01.BENEFICIARIO.getId()%>;

	const ESTADO_PEND_COMPLETAR_VAL = "<%=EstadosExpedienteEnum.PEND_COMPLETAR.getId()%>";
	const ESTADO_PEND_COMPLETAR_DESC = "<%=EstadosExpedienteEnum.PEND_COMPLETAR.getLabelDesc()%>";
	const ESTADO_PEND_APERTURA_VAL = '<%=EstadosExpedienteEnum.PEND_APERTURA.getId()%>';
	const ESTADO_PEND_APERTURA_DESC = '<%=EstadosExpedienteEnum.PEND_APERTURA.getLabelDesc()%>';
	const ESTADO_PEND_ESTUDIO_VAL = '<%=EstadosExpedienteEnum.PEND_ESTUDIO.getId()%>';
	const ESTADO_PEND_ESTUDIO_DESC = '<%=EstadosExpedienteEnum.PEND_ESTUDIO.getLabelDesc()%>';
	
	const IDTIPOENTRADA00_PAPEL0_VAL = '<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getId()%>';
	const IDTIPOENTRADA00_PAPEL0_DESC = '<%=TipoExpedientes.idTipoEntrada00.PAPEL0.getLabelDesc()%>';	
	const IDTIPOENTRADA00_PRESENCIAL_VAL = '<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getId()%>';
	const IDTIPOENTRADA00_PRESENCIAL_DESC = '<%=TipoExpedientes.idTipoEntrada00.PRESENCIAL.getLabelDesc()%>';	
	const IDTIPOENTRADA00_TELEMATICA_VAL = '<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getId()%>';
	const IDTIPOENTRADA00_TELEMATICA_DESC = '<%=TipoExpedientes.idTipoEntrada00.TELEMATICA.getLabelDesc()%>';
	
	const PROCEDIMIENTOS_ALTA_VAL = '<%=ProcedimientosEnum.ALTA.getId()%>';
	const PROCEDIMIENTOS_ALTA_DESC = '<%=ProcedimientosEnum.ALTA.getLabelDesc()%>';
	const PROCEDIMIENTOS_BAJA_VAL = '<%=ProcedimientosEnum.BAJA.getId()%>';
	const PROCEDIMIENTOS_BAJA_DESC = '<%=ProcedimientosEnum.BAJA.getLabelDesc()%>';
	const PROCEDIMIENTOS_INFORME_VAL = '<%=ProcedimientosEnum.INFORME.getId()%>';
	const PROCEDIMIENTOS_INFORME_DESC = '<%=ProcedimientosEnum.INFORME.getLabelDesc()%>';
	const PROCEDIMIENTOS_MODIFICACION_VAL = '<%=ProcedimientosEnum.MODIFICACION.getId()%>';
	const PROCEDIMIENTOS_MODIFICACION_DESC = '<%=ProcedimientosEnum.MODIFICACION.getLabelDesc()%>';
	const PROCEDIMIENTOS_REVISION_PRECIO_VAL = '<%=ProcedimientosEnum.REVISION_PRECIO.getId()%>';
	const PROCEDIMIENTOS_REVISION_PRECIO_DESC = '<%=ProcedimientosEnum.REVISION_PRECIO.getLabelDesc()%>';
	
	
	const IDENTIFICADOR_DEFECTO = "<%=Constantes.ValoresDefectoBandejaPapel0.IDENTIFICADOR %>";
	
	// Actores
	const ACTORDSS = "<%=ActoresEnum.DSS.getId() %>";
	const ACTORSSB = "<%=ActoresEnum.SSB.getId() %>";
	const ACTORPS = "<%=ActoresEnum.PS.getId() %>";
	const ACTORADMIN = "<%=ActoresEnum.ADMIN.getId() %>";
	
	// Tipo y subtipos de avisos
	const TIPOAVISO_ACTUAL = "<%=TipoAvisoEnum.ACTUAL.getId()%>";
	const TIPOAVISO_DISP = "<%=	TipoAvisoEnum.DISP.getId()%>";
	const TIPOAVISO_INFINT = "<%=TipoAvisoEnum.INFINT.getId()%>";
	const TIPOAVISO_INFSOC = "<%=TipoAvisoEnum.INFSOC.getId()%>";
	const TIPOAVISO_INFSUIC = "<%=TipoAvisoEnum.INFSUIC.getId()%>";
	const TIPOAVISO_INST = "<%=TipoAvisoEnum.INST.getId()%>";
	const TIPOAVISO_QUEJREC = "<%=TipoAvisoEnum.QUEJREC.getId()%>";
	const TIPOAVISO_OTROS = "<%=TipoAvisoEnum.OTROS.getId()%>";
	
	
	const SUBTIPOAVISO_ANULARBAJA = "<%=SubTipoAvisoEnum.ANULARBAJA.getId()%>"
	const SUBTIPOAVISO_BAJA = "<%=SubTipoAvisoEnum.BAJA.getId()%>"
	const SUBTIPOAVISO_BAJAYALTA = "<%=SubTipoAvisoEnum.BAJAYALTA.getId()%>"
	const SUBTIPOAVISO_BAJAANTICIPADA = "<%=SubTipoAvisoEnum.BAJAANTICIPADA.getId()%>"
	const SUBTIPOAVISO_CAMBIODOM = "<%=SubTipoAvisoEnum.CAMBIODOM.getId()%>"
	const SUBTIPOAVISO_MODIFDATOSDOM = "<%=SubTipoAvisoEnum.MODIFDATOSDOM.getId()%>"
	const SUBTIPOAVISO_AVERIA = "<%=SubTipoAvisoEnum.AVERIA.getId()%>"
	const SUBTIPOAVISO_NUEVODISP = "<%=SubTipoAvisoEnum.NUEVODISP.getId()%>"
	const SUBTIPOAVISO_PERDIDA = "<%=SubTipoAvisoEnum.PERDIDA.getId()%>"
	const SUBTIPOAVISO_SUSTITUCION = "<%=SubTipoAvisoEnum.SUSTITUCION.getId()%>"
	const SUBTIPOAVISO_RECOGAPARATO = "<%=SubTipoAvisoEnum.RECOGAPARATO.getId()%>"
	const SUBTIPOAVISO_OTROS = "<%=SubTipoAvisoEnum.OTROS.getId()%>"
	const SUBTIPOAVISO_ENVDSS = "<%=SubTipoAvisoEnum.ENVDSS.getId()%>"
	const SUBTIPOAVISO_SOLICDSS = "<%=SubTipoAvisoEnum.SOLICDSS.getId()%>"
	const SUBTIPOAVISO_SOLICPS = "<%=SubTipoAvisoEnum.SOLICPS.getId()%>"
	const SUBTIPOAVISO_ENVEXPAB = "<%=SubTipoAvisoEnum.ENVEXPAB.getId()%>"
	const SUBTIPOAVISO_ENVDSSSUIC = "<%=SubTipoAvisoEnum.ENVDSSSUIC.getId()%>"
	const SUBTIPOAVISO_CAMBIOCITA = "<%=SubTipoAvisoEnum.CAMBIOCITA.getId()%>"
	const SUBTIPOAVISO_COMENTINST = "<%=SubTipoAvisoEnum.COMENTINST.getId()%>"
	const SUBTIPOAVISO_INSTAL = "<%=SubTipoAvisoEnum.INSTAL.getId()%>"
	const SUBTIPOAVISO_SERV = "<%=SubTipoAvisoEnum.SERV.getId()%>"
	const SUBTIPOAVISO_OTRASQUEJ = "<%=SubTipoAvisoEnum.OTRASQUEJ.getId()%>"
	const SUBTIPOAVISO_ALTRIES = "<%=SubTipoAvisoEnum.ALTRIES.getId()%>"
	const SUBTIPOAVISO_NOCONTACUSU = "<%=SubTipoAvisoEnum.NOCONTACUSU.getId()%>"
	const SUBTIPOAVISO_CORRECERR = "<%=SubTipoAvisoEnum.CORRECERR.getId()%>"
	
	const CANAL_COMUNICACION_LLAMADA = "<%=CanalComunicacionEnum.LLAMADA.getId()%>"
	
	
	
</script>
